Verify bank account details
Verifies a bank account and returns detailed verification results from the verification network, including bank name, account status, and response codes. Unlike a pass/fail verification, this endpoint returns granular data to support decision-making and troubleshooting.
When bank authentication is enabled for the paypoint’s organization, the endpoint performs an identity verification check on the account holder. Otherwise, it performs an account existence check. When bank authentication is enabled, the accountHolderType and holderName fields are required.
Requires inboundpayments_create or outboundpayments_create permission.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Long-lived API token sent in the requestToken header. See API token authentication.
Path parameters
Request
The type of bank account, such as Checking or Savings.
The ISO country code for the bank account, such as US.
The type of account holder. Accepted values are personal or business. Required when bank authentication is enabled for the paypoint's organization.
The name of the bank account holder. For personal accounts, provide the holder's full name (for example, Jane Doe); the value is split on the first space into first and last name. For business accounts, provide the legal business name. Required when bank authentication is enabled for the paypoint's organization.
Response
Response text for operation: 'Success' or 'Declined'.
Boolean indicating whether the operation was successful. A true value
indicates success. A false value indicates failure.